XGetExtensionVersion(3X11) | X FUNCTIONS | XGetExtensionVersion(3X11)

# NAME

XGetExtensionVersion - query the version of the input extension.

# SYNTAX

XExtensionVersion *XGetExtensionVersion(Display *display, char * name);

# ARGUMENTS

display
  Specifies the connection to the X server.

name
  Specifies the extension to be queried. The input extension name is defined in the header file XI.h.

# DESCRIPTION

The XGetExtensionVersion request queries the version of the input extension, and returns an XExtensionVersion structure. This structure contains a major_version and minor_version number which can be compared with constants defined in XI.h. Support for additional protocol requests added to the input extension after its initial release is indicated by a version number corresponding to the added requests. Each version contains all the protocol requests contained by previous versions.

You should use XFree to free the XExtensionVersion structure.

# STRUCTURES

This request returns an XExtensionVersion structure. typedef struct {
int present;
short major_version;
short minor_version; } XExtensionVersion;

# DIAGNOSTICS

none

# SEE ALSO

Programming With Xlib

XFree86 | 4.5.0